> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# techstack api auth

> مرجع مولَّد لأوامر techstack api auth

<Note>مولَّد من إصدار Techstack v0.32.8 (المصدر `4c7d219a5d56`). بالنسبة إلى إصدار مثبَّت، فإن `techstack api <command> --help` هو المرجع.</Note>

## techstack api auth methods

عرض طرق المصادقة المحلية وعبر المتصفح المتاحة.

```bash theme={null}
techstack api auth methods [flags]
```

| | |
| - | - |
| HTTP | `GET /api/v1/auth/methods` |
| يغيّر الحالة | لا |
| أداة MCP | لا شيء |

## techstack api auth mode

جلب وضع المصادقة الحالي (محلي أو سحابي).

```bash theme={null}
techstack api auth mode [flags]
```

| | |
| - | - |
| HTTP | `GET /api/v1/auth/mode` |
| يغيّر الحالة | لا |
| أداة MCP | لا شيء |

## techstack api auth v2 providers

عرض مزوّدي المصادقة النشطين عبر المتصفح.

```bash theme={null}
techstack api auth v2 providers [flags]
```

| | |
| - | - |
| HTTP | `GET /api/v2/auth/providers` |
| يغيّر الحالة | لا |
| أداة MCP | لا شيء |

## techstack api auth whoami

إرجاع هوية جلسة المتصفح الحالية.

```bash theme={null}
techstack api auth whoami [flags]
```

| | |
| - | - |
| HTTP | `GET /api/v2/whoami` |
| يغيّر الحالة | لا |
| أداة MCP | لا شيء |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.